
Figure - Bug #116758
【BSP】【EVT1】【ST】【Display】【10/10】开关护眼模式时，屏幕显示出现条纹
2023-03-06 19:01 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-06

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0079.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-17

Test Type: ST Root cause: 优化掉了开关时的动画

Description

【前提条件】

None

【测试步骤】

1. 设备正常开机

2. 打开护眼模式

3. 关闭护眼模式

4. 重复第2，3步

【预期结果】

3 屏幕显示无异常

【实际结果】

3 屏幕上出现条纹显示

【Notes】

问题在快捷设置中的歌曲设置那里比较容易看到

使用VC,VX两种屏幕均复现

使用系统自动录屏，录出来视频看不到条纹，而实际显示屏上肉眼可以看到条纹

复现视频：护眼模式.MOV

复现日志：display.txt

History

#1 - 2023-03-07 09:34 - 移动测试一组_CDTS 刘强

- Category set to CD-FW

- Assignee set to CD FW 曹覃刚

#2 - 2023-03-07 14:17 - CD FW 曹覃刚

- Category changed from CD-FW to BSP

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD BSP-杜磊

Hi 磊哥

开关护眼模式时，都会出现该问题，上层仅保持了原生的开关

录的视频不会有该问题
在屏幕显示效果切换过程中出现的条纹，应该和屏幕硬件有关，请帮助分析，感谢

#3 - 2023-03-08 10:48 - System组-RD3_CDTS 蒋富雄

排除mipi，需要确认是转接芯片，还是lcd硬件，的问题，需要找fae共同来看

#4 - 2023-03-08 14:09 - 移动测试一组_CDTS 刘强

Hi all

此问题在两块VX和两块VC屏均复现。

即同类的不是单一的出现

#5 - 2023-03-09 10:13 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to System组-RD3_CDTS 蒋富雄

#6 - 2023-03-13 11:31 - System组-RD3_CDTS 蒋富雄

- Assignee changed from System组-RD3_CDTS 蒋富雄 to BSP组-RD3_TSCD 贾顺旺

#7 - 2023-03-15 09:38 - BSP组-RD3_TSCD 贾顺旺

开、关护眼模式时产生的波纹，是使用动画模式时，转变过程的动画播放产生的。

护眼模式开关动画播放过程，就是如下两组修正系数之间渐变的过程。

min matrix coefficients:1.000000 0.000000 0.000000 0.000000 0.000000 0.748795 0.000000 0.000000 0.000000 0.000000 0.509417 0.000000 0.000000 0.000000 0.000000

1.000000

max matrix coefficients:1.000000 0.000000 0.000000 0.000000 0.000000 1.000000 0.000000 0.000000 0.000000 0.000000 1.000000 0.000000 0.000000 0.000000 0.000000

1.000000

护眼模式开关动画播放总帧数越多，如上系数每次渐变的增量越小，播放动画时条纹越不明显；

护眼模式开关动画播放的帧率与显示屏帧率一致，在动画播放总时长不变的情况下，无法增加动画播放总帧数；

护眼模式立即生效的方式，不存在播放动画的过程，不会有条纹；

详细分析过程如下：

https://thundersoft.feishu.cn/docx/Nj5zdT9VHoRdFCxtqGnciWofnBe

护眼模式开关是否可以不使用播放动画的方式，改用立即生效的方式？

另一个方向想找AF同时帮忙分析：修正系数的计算方法是否有优化空间，用于消除该条纹？

#8 - 2023-03-16 11:01 - BSP组-RD3_TSCD 贾顺旺

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to CD FW 曹覃刚

hi

把动画事件调成了30s，仔细观察，虽然感觉没有条纹了，但仔细看的化还是能感觉有十分缓慢的条纹。

这样看不是刷新频率的问题，是每帧图像的修正系数有问题。请分析一下修正系数的算法是否有优化空间呢。

#9 - 2023-03-16 20:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188110 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12
caoqg0702@thundersoft.com

https://thundersoft.feishu.cn/docx/Nj5zdT9VHoRdFCxtqGnciWofnBe


-dev

AF:SystemOptimization:Need to remove the animation when switching on/off eye protection mode due to poor screen displayTC-RID: 1201-0205101IssueID:

TS-R-BUG-116758Change-Id: Ia7c8478248808235ad921d34ef8a9b69118f089e

#10 - 2023-03-16 20:55 - CD FW 曹覃刚

- Category changed from BSP to CD-FW

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-17

- Root cause set to 优化掉了开关时的动画

#11 - 2023-03-20 14:23 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

Hi all

此问题在user.01.00.C101.202303191230版本上验证通过。

Thanks

#12 - 2023-03-20 14:23 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

护眼模式.mov 18.3 MB 2023-03-06 移动测试一组_CDTS 刘强

display.txt 2.82 MB 2023-03-06 移动测试一组_CDTS 刘强

2025-07-04 3/3


